Subject: bug#33975: [PATCH] inhibit read-only text properties in comint-interrupt-subjob

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Feb 2019 19:01:46 +0200

> From: Alex Branham <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 23 Feb 2019 07:36:43 -0600
> 
> > Then shouldn't the change be inside comint-skip-input instead?  I
> > mean, the same problem will happen also in all other callers of
> > comint-skip-input, no?
> 
> Probably, yes. Changed in the attached patch.
> 
> > (I'm not sure I understand why that function inserts the description
> > of this-command-keys -- is that to insert "C-c C-c" into the buffer?
> > This is not in the doc string, perhaps we should add that.)
> 
> The attached patch adds it. WDYT?
> 
>  (defun comint-skip-input ()
>    "Skip all pending input, from last stuff output by interpreter to point.
> -This means mark it as if it had been sent as input, without sending it."
> +This means mark it as if it had been sent as input, without
> +sending it.  The command keys used to trigger this command are
> +inserted into the buffer."

"this command" is inaccurate here, as comint-skip-input is not a
command.  I'd say "the command which called this function" instead.

Other than that, LGTM.  Thanks.